| v_hscaler Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XV_hscaler_Config Struct Reference

This typedef contains configuration information for the horizontal scaler core. More...

## Data Fields
u16 | DeviceId
| Unique ID of device. More...
UINTPTR | BaseAddress
| The base address of the core instance. More...
u16 | PixPerClk
| Samples Per Clock supported by core instance. More...
u16 | NumVidComponents
| Number of Video Components. More...
u16 | MaxWidth
| Maximum columns supported by core instance. More...
u16 | MaxHeight
| Maximum rows supported by core instance. More...
u16 | MaxDataWidth
| Maximum Data width of each channel. More...
u16 | PhaseShift
| Max num of phases (2^PhaseShift) More...
u16 | ScalerType
| Scaling Algorithm Selected. More...
u16 | NumTaps
| Number of taps. More...
u16 | Is422Enabled
| Color format YUV422 supported by instance. More...
u16 | Is420Enabled
| Color format YUV420 supported by instance. More...
u16 | IsCscEnabled
| Color space conversion supported by instance. More...

## Detailed Description

This typedef contains configuration information for the horizontal scaler core.

Each core instance should have a configuration structure associated.

## Field Documentation

UINTPTR XV_hscaler_Config::BaseAddress

The base address of the core instance.

Referenced by XV_HScalerDbgReportStatus().

u16 XV_hscaler_Config::DeviceId

Unique ID of device.

u16 XV_hscaler_Config::Is420Enabled

Color format YUV420 supported by instance.

u16 XV_hscaler_Config::Is422Enabled

Color format YUV422 supported by instance.

u16 XV_hscaler_Config::IsCscEnabled

Color space conversion supported by instance.

u16 XV_hscaler_Config::MaxDataWidth

Maximum Data width of each channel.

u16 XV_hscaler_Config::MaxHeight

Maximum rows supported by core instance.

u16 XV_hscaler_Config::MaxWidth

Maximum columns supported by core instance.

u16 XV_hscaler_Config::NumTaps

Number of taps.

Referenced by XV_HScalerDbgReportStatus().

u16 XV_hscaler_Config::NumVidComponents

Number of Video Components.

u16 XV_hscaler_Config::PhaseShift

Max num of phases (2^PhaseShift)

Referenced by XV_HScalerDbgReportStatus(), and XV_HScalerLoadExtCoeff().

u16 XV_hscaler_Config::PixPerClk

Samples Per Clock supported by core instance.

Referenced by XV_HScalerSetup().

u16 XV_hscaler_Config::ScalerType

Scaling Algorithm Selected.

Referenced by XV_HScalerDbgReportStatus(), and XV_HScalerSetup().